# std::unique_ptr< _Tp[], _Tp_Deleter > Class Template Reference
[Pointer Abstractions]

20.7.12.3 unique_ptr for array objects with a runtime length More...

List of all members.

## Public Types

- typedef _Tp_Deleter deleter_type
- typedef _Tp element_type
- typedef _Tp * pointer

## Public Member Functions

- pointer get () const
- std::add_lvalue_reference
  < typename std::add_const
  < deleter_type >::type >::type get_deleter () const
- std::add_lvalue_reference
  < deleter_type >::type get_deleter ()
- operator __unspecified_bool_type () const
- unique_ptr & operator= (const unique_ptr &)
- unique_ptr & operator= (__unspecified_pointer_type)
- template<typename _Up , typename _Up_Deleter > unique_ptr & operator= (unique_ptr< _Up, _Up_Deleter > &&__u)
- unique_ptr & operator= (unique_ptr &&__u)
- std::add_lvalue_reference
  < element_type >::type operator[] (size_t __i) const
- pointer release ()
- template<typename _Up > void reset (_Up)
- void reset (pointer __p=pointer())
- void swap (unique_ptr &&__u)
- template<typename _Up > unique_ptr (_Up *, typename std::enable_if< std::is_convertible< _Up *, pointer >::value >::type *=0)
- template<typename _Up > unique_ptr (_Up *, typename std::remove_reference< deleter_type >::type &&, typename std::enable_if< std::is_convertible< _Up *, pointer >::value >::type *=0)
- template<typename _Up > unique_ptr (_Up *, typename std::conditional< std::is_reference< deleter_type >::value, deleter_type, const deleter_type & >::type, typename std::enable_if< std::is_convertible< _Up *, pointer >::value >::type *=0)
- unique_ptr (const unique_ptr &)
- template<typename _Up , typename _Up_Deleter > unique_ptr (unique_ptr< _Up, _Up_Deleter > &&__u)
- unique_ptr (unique_ptr &&__u)
- unique_ptr (pointer __p, typename std::remove_reference< deleter_type >::type &&__d)
- unique_ptr (pointer __p, typename std::conditional< std::is_reference< deleter_type >::value, deleter_type, const deleter_type & >::type __d)
- unique_ptr (pointer __p)

## Detailed Description

### template<typename _Tp, typename _Tp_Deleter>
class std::unique_ptr< _Tp[], _Tp_Deleter >

20.7.12.3 unique_ptr for array objects with a runtime length

Definition at line 233 of file unique_ptr.h.

The documentation for this class was generated from the following file:

- unique_ptr.h